Bug 135376 - There is no chandev.conf and qeth does not recognize.
Summary: There is no chandev.conf and qeth does not recognize.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: s390utils   
(Show other bugs)
Version: 4.0
Hardware: s390
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-12 11:19 UTC by Yohei Murahashi
Modified: 2015-03-05 01:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 12:36:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yohei Murahashi 2004-10-12 11:19:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
Although the beta of RHEL4 was installed, chandev.conf which surely 
existed does not exist in a former version. qeth does not recognize 
it as chandev.conf not existing. Isn't chandev.conf used in a new 
version? Is qeth made to recognize by another file?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.The usual installation
2.
3.
    

Additional info:

Comment 1 Suzanne Hillman 2004-10-15 20:18:59 UTC
I'm not entirely sure that I understand what you are trying to say.

I'm going to try to repeat back what I think you're saying to make sure I followed.

You're saying that chandev.conf is not being installed in the current version of
s390utils, although it used to be in previous versions, and wondering what is
being used instead? I presume that qeth is what had been using it?

Comment 2 Karsten Hopp 2004-10-18 12:36:24 UTC
chandev.conf is a kernel-2.4 thing, kernel-2.6 doesn't use 
chandev anymore. 
If you'd like to use an ifcfg-ethX file from RHEL3, you have to 
add/change a few parameters: 
 
 CHANDEV=qeth0,0x300,0x301,0x302,0,0 from chandev.conf is now   
 configured via the SUBCHANNELS variable in the ifcfg-ethX file: 
 SUBCHANNELS=0.0.0300,0.0.0301,0.0.0302 
 
 The portname from QETHPARMS is now a new variable in ifcfg-ethX: 
 QETHPARM=add_parms,0x10,0x600,0x602,portname:FOOBAR  is now 
 PORTNAME=FOOBAR 
 
 NETTYPE for qeth interfaces needs to be set to 
 NETTYPE=qeth 
 


Note You need to log in before you can comment on or make changes to this bug.